Get a customer
GET
/customers/{id}Authorization
AuthorizationBearer token (JWT) · headerrequiredPath parameters
idintegerrequiredResponses
200
Customer entity
_linksHalLinksidintegershop_idintegeremailstringnamestringFull name (first and last)
phone_numberstringphone_validatedbooleanvalidation_methodstringcompany_namestringcompany_id_numberstringCompany tax/ID number (RUT, DNI, etc.), formatted
company_activity_codestringcustomer_statusstringCustomer account status.
Allowed:
publicprivatependingopt_inbooleanWhether the contact has opted in to marketing emails.
sourcestringlast_logged_onstring<date-time>last_ip_addressstringhas_passwordbooleantotal_spentintegerIn cents
available_orders_countintegersalesperson_idintegerfavorite_product_idsinteger[]used_promotion_idsinteger[]tagsstring[]created_onstring<date-time>updated_onstring<date-time>_embeddedobjectShow propertiesHide properties
contact_groupobjectPresent when the contact belongs to a group
addressesAddress[]Show propertiesHide properties
Array of
Addressstreetstringstreet_2stringlocality_namestringregion_namestringcountry_namestringpostal_codestring403
Access denied
404
Customer not found